Get media by UUID

Returns a specific media item by its UUID for the authenticated user. For media with status other than FINALISED, only uuid and status are returned. For FINALISED media, all details including variants are included. <Warning>Media URLs are only available through variants. Specify the `variants` query parameter (e.g., `?variants=main,thumbnail,blurred`) to include them in the response. Without this parameter, the `variants` field will be an empty array and no media URLs will be returned.</Warning> <Info>Scope required: `read:media`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

uuidstringRequiredformat: "uuid"

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Query parameters

purchasedBystringOptionalformat: "uuid"
UUID of the user to check media purchase against. When provided, the media item will include a purchasedByFan boolean indicating if that user has purchased it.
variantslist of enumsOptional
Allowed values:

Response

Media item
object
OR
object

Errors